### Constructor

# GUPnP XMLDoc new_from_path

#### Declaration [src]

    GUPnPXMLDoc*
    gupnp_xml_doc_new_from_path (
      const char* path,
      GError** error
    )

#### Description [src]

Create a new `GUPnPXMLDoc` for the XML document at `path`.

Available since: | 0.14.0

#### Parameters

`path` | `const char*`
| Path to xml document.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GUPnPXMLDoc`
| A new `GUPnPXMLDoc`, or `NULL` on an error.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.